//DUPLICATE: This .view style exists both in CERN Base and CERN Theme
.view {
  div {
    word-wrap: break-word;
  }

  & > h1 {
    margin: 3rem 0 !important;
    text-align: center;
  }

  .wrapper-center > h1,
  & > h1 {
    margin: 3rem 0 !important;
    text-align: center;
  }

  // exposed filters
  .views-exposed-form .form-inline {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 10px;
    align-items: baseline;

    .form-item {
      vertical-align: top;
      margin: 0;
      padding: 10px;
      display: inline-block;
      flex: 1;

      input,
      select {
        width: 100%;
      }

      &.form-type-text,
      &.form-type-textfield {
        display: block;
        position: relative;

        &:first-child {
          width: 100%;
          flex: none;

          input {
            padding-left: 25px;
          }
          &:before {
            content: "O";
            font-family: "cern-icons";
            -moz-osx-font-smoothing: grayscale;
            -webkit-font-smoothing: antialiased;
            position: absolute;
            left: 10px;
            top: 40px;
            width: 25px;
            height: 25px;
            text-align: center;
            line-height: 21px;
            font-weight: 500;
            padding-right: 2px;
            font-size: 46px;
            color: #0855a0;
          }
        }
      }

      &:not(.form-type-text):not(.form-type-textfield) {
        &:first-child {
          &:before {
            display: none;
          }
        }
      }
    }
    .form-actions {
      flex-basis: 100%;
      padding: 10px;

      .btn {
        width: 25%;
        float: left;
      }
    }

    .view-header {
      margin: 25px 0;

      a {
        position: relative;

        &.active:after {
          content: " ";
          position: absolute;
          width: 100%;
          height: 2px;
          background: #0855a0;
          bottom: -2px;
          left: 0;
        }
      }
    }
  }
}

// Laptops + Desktops
@media only screen and (min-width: 1081px) {
  .view {
    .views-exposed-form .form-inline {
      .form-item {
        &:not(:first-child) {
          max-width: 500px;
        }
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .view {
    .views-exposed-form .form-inline {
      display: block;
      padding: unset;

      .form-item {
        width: 100%;
        float: left;
      }

      .form-actions {
        flex-basis: auto;
        height: auto;

        .btn {
          width: auto;
        }
      }
    }
  }
}
